Package org.wso2.carbon.mediation.initializer.services

# Class SynapseConfigurationServiceImpl

java.lang.Object
org.wso2.carbon.mediation.initializer.services.SynapseConfigurationServiceImpl

All Implemented Interfaces:
  `SynapseConfigurationService`

public class SynapseConfigurationServiceImpl extends Object implements SynapseConfigurationService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynapseConfigurationServiceImpl(org.apache.synapse.config.SynapseConfiguration synapseConfiguration, int tenantId, org.apache.axis2.context.ConfigurationContext configurationContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.axis2.context.ConfigurationContext`
  `getConfigurationContext()`
  Get the ConfigurationContext for this SynapseConfiguration
  `org.apache.synapse.config.SynapseConfiguration`
  `getSynapseConfiguration()`
  Retrieve the synapse configuration
  `int`
  `getTenantId()`
  Get the tenant id corresponding to this synapse configuration.
  `void`
  `setSynapseConfiguration(org.apache.synapse.config.SynapseConfiguration synapseConfiguration)`
  Set the SynapseConfiguration

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SynapseConfigurationServiceImpl

    public SynapseConfigurationServiceImpl(org.apache.synapse.config.SynapseConfiguration synapseConfiguration, int tenantId, org.apache.axis2.context.ConfigurationContext configurationContext)

- ## Method Details

  - ### getSynapseConfiguration

    public org.apache.synapse.config.SynapseConfiguration getSynapseConfiguration()
    Description copied from interface: `SynapseConfigurationService`
    Retrieve the synapse configuration
    Specified by:
      `getSynapseConfiguration` in interface `SynapseConfigurationService`
    Returns:
      synapse configuration

  - ### setSynapseConfiguration

    public void setSynapseConfiguration(org.apache.synapse.config.SynapseConfiguration synapseConfiguration)
    Description copied from interface: `SynapseConfigurationService`
    Set the SynapseConfiguration
    Specified by:
      `setSynapseConfiguration` in interface `SynapseConfigurationService`
    Parameters:
      `synapseConfiguration` - synapse configuration

  - ### getConfigurationContext

    public org.apache.axis2.context.ConfigurationContext getConfigurationContext()
    Description copied from interface: `SynapseConfigurationService`
    Get the ConfigurationContext for this SynapseConfiguration
    Specified by:
      `getConfigurationContext` in interface `SynapseConfigurationService`
    Returns:
      the ConfigurationContext

  - ### getTenantId

    public int getTenantId()
    Description copied from interface: `SynapseConfigurationService`
    Get the tenant id corresponding to this synapse configuration.
    Specified by:
      `getTenantId` in interface `SynapseConfigurationService`
    Returns:
      integer value of the tenant id